Page MenuHomePhabricator

PHP parameter and variable warnings in wfAjaxCollectionSuggestUndoArticle
Closed, ResolvedPublic

Description

Logstash is reporting a warning and notice for the Collection extension:

Warning: wfAjaxCollectionSuggestUndoArticle() expects exactly 2 parameters, 1 given in /srv/mediawiki/php-1.32.0-wmf.8/extensions/Collection/Collection.php on line 562
Notice: Undefined variable: article in /srv/mediawiki/php-1.32.0-wmf.8/extensions/Collection/Collection.php on line 562

Note: there's no extension.json in this project and $wgAjaxExportList is deprecated.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2018, 1:58 PM
Vvjjkkii renamed this task from PHP parameter and variable warnings in wfAjaxCollectionSuggestUndoArticle to ykaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from ykaaaaaaaa to PHP parameter and variable warnings in wfAjaxCollectionSuggestUndoArticle.Jul 2 2018, 11:31 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 513741 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Collection@master] Set defaults on arguments of CollectionAjaxFunctions class

https://gerrit.wikimedia.org/r/513741

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptJun 1 2019, 8:52 PM

Change 513741 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Set defaults on arguments of CollectionAjaxFunctions class

https://gerrit.wikimedia.org/r/513741

Umherirrender closed this task as Resolved.Jun 11 2019, 6:59 PM
Umherirrender claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:09 PM